about summary refs log tree commit diff
path: root/tests/lang.sh
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2013-07-31T11·12+0200
committerEelco Dolstra <eelco.dolstra@logicblox.com>2013-07-31T11·12+0200
commit7df4ef983e96f604fa84abe4aeb54dcb00a72add (patch)
tree97f4a8570bb326e340e6876bcc3c8d08f08a80e0 /tests/lang.sh
parent0a470fc3453f56a0a242d8f467b8079fe0040ff7 (diff)
Test the delayed with a bit more
Diffstat (limited to 'tests/lang.sh')
-rw-r--r--tests/lang.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/lang.sh b/tests/lang.sh
index cab1cfd9b0..0d93b9215c 100644
--- a/tests/lang.sh
+++ b/tests/lang.sh
@@ -40,7 +40,7 @@ for i in lang/eval-okay-*.nix; do
         if test -e lang/$i.flags; then
             flags=$(cat lang/$i.flags)
         fi
-        if ! NIX_PATH=lang/dir3:lang/dir4:$NIX_PATH nix-instantiate $flags --eval-only --strict lang/$i.nix > lang/$i.out; then
+        if ! NIX_PATH=lang/dir3:lang/dir4_PATH nix-instantiate $flags --eval-only --strict lang/$i.nix > lang/$i.out; then
             echo "FAIL: $i should evaluate"
             fail=1
         elif ! diff lang/$i.out lang/$i.exp; then